<?php
/*
Plugin Name: Freevent
Description: A plugin to support registering for free events using a coupon code
Author: Shawn Hooper
Author URI: http://www.shawnhooper.ca/
Version: 1.0
Text Domain: freevent
*/
/*  Copyright 2015

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation using version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/

/***
 * Class Freevent
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
Freevent::load();

class Freevent {

	/***
	 * This is the constructor
	 * Function triggered when the plugin is loaded
	 */
	public static function load() {
		require_once ( plugin_dir_path( __FILE__ ) . 'core/event_post_type.php' );
		Freevent_Event_Post_Type::load();


		if ( is_admin() ) {

			/* Register Meta Boxes */
			Freevent_Event_Post_Type::load_admin();

		}

	}

}